import type { BabelFileResult, TransformOptions } from '@babel/core';
import type { File } from '@babel/types';
import type { StrictOptions } from '@linaria/utils';
import type { Core } from '../babel';
import type { Options, ValueCache } from '../types';
/**
 * Parses the specified file, finds tags, applies run-time replacements,
 * removes dead code.
 */
export default function prepareForRuntime(babel: Core, ast: File, code: string, valueCache: ValueCache, pluginOptions: StrictOptions, options: Pick<Options, 'filename' | 'inputSourceMap' | 'root'>, babelConfig: TransformOptions): BabelFileResult;
