import type { TransformOptions } from '@babel/core';
import type { Evaluator } from '@linaria/utils';
export interface IEntrypoint {
    code: string;
    evaluator: Evaluator;
    name: string;
    only: string[];
    parseConfig: TransformOptions;
}
declare type Node = [entrypoint: IEntrypoint, stack: string[], refCount?: number];
export declare type NextItem = {
    entrypoint: IEntrypoint;
    stack: string[];
    refCount?: number;
};
export declare class ModuleQueue {
    private data;
    private keys;
    private readonly log;
    constructor(entrypoint: IEntrypoint);
    private get size();
    private delete;
    private heapifyDown;
    private heapifyUp;
    private increaseKey;
    private swap;
    private updateKey;
    dequeue(): NextItem | undefined;
    enqueue(el: Node): void;
    isEmpty(): boolean;
}
export {};
